/**********************************************************************************************************************
 * Copyright (c) Prophesee S.A.                                                                                       *
 *                                                                                                                    *
 * Licensed under the Apache License, Version 2.0 (the "License");                                                    *
 * you may not use this file except in compliance with the License.                                                   *
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0                                 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed   *
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.                      *
 * See the License for the specific language governing permissions and limitations under the License.                 *
 **********************************************************************************************************************/

#ifndef METAVISION_HAL_CCAM2_SYSTEM_MONITOR_TRIGGER_EXT_ADC_H
#define METAVISION_HAL_CCAM2_SYSTEM_MONITOR_TRIGGER_EXT_ADC_H

#include "temp_vcc_monitor_xadc_register_map.h"
#include "temp_vcc_monitor_register_map.h"
#include "atis_if_monitor_register_map.h"
#include "ext_trigger_monitor_register_map.h"

//------------------------------------------------------------------------------------------------------------
// CCAM2_SYSTEM_MONITOR
//------------------------------------------------------------------------------------------------------------

#define CCAM2_SYSTEM_MONITOR_BASE_ADDR 0x00000000
#define CCAM2_SYSTEM_MONITOR_LAST_ADDR 0x0000016C
#define CCAM2_SYSTEM_MONITOR_SIZE 0x000001C0

//------------------------------------------------------------------------------------------------------------
// CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC
//------------------------------------------------------------------------------------------------------------

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_BASE_ADDR 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_LAST_ADDR 0x000000BE
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SIZE 0x00000100

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_TEMP_ADDR 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_TEMP_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_TEMP_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_TEMP_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VCC_INT_ADDR 0x00000002
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VCC_INT_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VCC_INT_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VCC_INT_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VCC_AUX_ADDR 0x00000004
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VCC_AUX_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VCC_AUX_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VCC_AUX_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VP_VN_ADDR 0x00000006
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VP_VN_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VP_VN_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VP_VN_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VREFP_ADDR 0x00000008
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VREFP_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VREFP_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VREFP_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VREFN_ADDR 0x0000000A
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VREFN_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VREFN_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VREFN_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VCC_BRAM_ADDR 0x0000000C
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VCC_BRAM_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VCC_BRAM_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VCC_BRAM_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SUPPLY_OFFSET_ADDR 0x00000010
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SUPPLY_OFFSET_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SUPPLY_OFFSET_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SUPPLY_OFFSET_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_OFFSET_ADDR 0x00000012
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_OFFSET_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_OFFSET_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_OFFSET_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_GAIN_ERROR_ADDR 0x00000014
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_GAIN_ERROR_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_GAIN_ERROR_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_GAIN_ERROR_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX0_ADDR 0x00000020
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX0_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX0_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX0_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX1_ADDR 0x00000022
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX1_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX1_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX1_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX2_ADDR 0x00000024
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX2_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX2_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX2_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX3_ADDR 0x00000026
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX3_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX3_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX3_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX4_ADDR 0x00000028
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX4_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX4_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX4_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX5_ADDR 0x0000002A
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX5_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX5_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX5_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX6_ADDR 0x0000002C
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX6_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX6_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX6_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX7_ADDR 0x0000002E
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX7_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX7_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX7_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX8_ADDR 0x00000030
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX8_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX8_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX8_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX9_ADDR 0x00000032
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX9_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX9_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX9_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX10_ADDR 0x00000034
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX10_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX10_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX10_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX11_ADDR 0x00000036
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX11_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX11_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX11_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX12_ADDR 0x00000038
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX12_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX12_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX12_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX13_ADDR 0x0000003A
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX13_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX13_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX13_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX14_ADDR 0x0000003C
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX14_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX14_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX14_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX15_ADDR 0x0000003E
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX15_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX15_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_VAUX15_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_TEMP_ADDR 0x00000040
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_TEMP_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_TEMP_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_TEMP_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_VCC_INT_ADDR 0x00000042
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_VCC_INT_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_VCC_INT_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_VCC_INT_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_VCC_AUX_ADDR 0x00000044
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_VCC_AUX_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_VCC_AUX_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_VCC_AUX_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_VCC_BRAM_ADDR 0x00000046
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_VCC_BRAM_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_VCC_BRAM_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MAX_VCC_BRAM_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_TEMP_ADDR 0x00000048
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_TEMP_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_TEMP_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_TEMP_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_VCC_INT_ADDR 0x0000004A
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_VCC_INT_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_VCC_INT_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_VCC_INT_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_VCC_AUX_ADDR 0x0000004C
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_VCC_AUX_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_VCC_AUX_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_VCC_AUX_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_VCC_BRAM_ADDR 0x0000004E
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_VCC_BRAM_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_VCC_BRAM_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_MIN_VCC_BRAM_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_FLAGS_ADDR 0x0000007E
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_FLAGS_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_FLAGS_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_FLAGS_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_CONF_REG0_ADDR 0x00000080
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_CONF_REG0_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_CONF_REG0_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_CONF_REG0_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_CONF_REG1_ADDR 0x00000082
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_CONF_REG1_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_CONF_REG1_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_CONF_REG1_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_CONF_REG2_ADDR 0x00000084
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_CONF_REG2_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_CONF_REG2_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_CONF_REG2_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG0_ADDR 0x00000090
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG0_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG0_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG0_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG1_ADDR 0x00000092
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG1_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG1_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG1_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG2_ADDR 0x00000094
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG2_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG2_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG2_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG3_ADDR 0x00000096
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG3_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG3_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG3_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG4_ADDR 0x00000098
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG4_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG4_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG4_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG5_ADDR 0x0000009A
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG5_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG5_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG5_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG6_ADDR 0x0000009C
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG6_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG6_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG6_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG7_ADDR 0x0000009E
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG7_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG7_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_SEQ_REG7_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG0_ADDR 0x000000A0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG0_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG0_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG0_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG1_ADDR 0x000000A2
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG1_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG1_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG1_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG2_ADDR 0x000000A4
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG2_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG2_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG2_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG3_ADDR 0x000000A6
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG3_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG3_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG3_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG4_ADDR 0x000000A8
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG4_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG4_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG4_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG5_ADDR 0x000000AA
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG5_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG5_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG5_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG6_ADDR 0x000000AC
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG6_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG6_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG6_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG7_ADDR 0x000000AE
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG7_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG7_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG7_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG8_ADDR 0x000000B0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG8_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG8_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG8_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG9_ADDR 0x000000B2
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG9_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG9_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG9_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG10_ADDR 0x000000B4
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG10_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG10_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG10_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG11_ADDR 0x000000B6
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG11_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG11_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG11_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG12_ADDR 0x000000B8
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG12_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG12_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG12_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG13_ADDR 0x000000BA
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG13_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG13_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG13_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG14_ADDR 0x000000BC
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG14_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG14_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG14_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG15_ADDR 0x000000BE
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG15_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG15_VALUE_WIDTH 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_XADC_ALARM_THR_REG15_VALUE_DEFAULT 0x00000000

//------------------------------------------------------------------------------------------------------------
// CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR
//------------------------------------------------------------------------------------------------------------

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_BASE_ADDR 0x00000100
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_LAST_ADDR 0x0000010C
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_SIZE 0x00000020

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_ADDR 0x00000100
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_ALL_EVT_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_ALL_EVT_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_ALL_EVT_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_TEMP_EVT_BIT_IDX 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_TEMP_EVT_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_TEMP_EVT_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_INT_EVT_BIT_IDX 2
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_INT_EVT_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_INT_EVT_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_AUX_EVT_BIT_IDX 3
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_AUX_EVT_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_AUX_EVT_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_BRAM_EVT_BIT_IDX 4
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_BRAM_EVT_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_BRAM_EVT_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_ALL_ALARM_BIT_IDX 8
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_ALL_ALARM_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_ALL_ALARM_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_OVER_TEMP_ALARM_BIT_IDX 9
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_OVER_TEMP_ALARM_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_OVER_TEMP_ALARM_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_USER_TEMP_ALARM_BIT_IDX 10
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_USER_TEMP_ALARM_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_USER_TEMP_ALARM_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_INT_ALARM_BIT_IDX 11
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_INT_ALARM_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_INT_ALARM_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_AUX_ALARM_BIT_IDX 12
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_AUX_ALARM_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_AUX_ALARM_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_BRAM_ALARM_BIT_IDX 13
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_BRAM_ALARM_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_VCC_BRAM_ALARM_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_SYSTEM_POWER_DOWN_BIT_IDX 16
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_SYSTEM_POWER_DOWN_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_ENABLE_SYSTEM_POWER_DOWN_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_PERIOD_ADDR 0x00000104
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_PERIOD_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_PERIOD_WIDTH 24
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVT_PERIOD_DEFAULT 0x000186A0

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EXT_TEMP_CONTROL_ADDR 0x00000108
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EXT_TEMP_CONTROL_STATUS_SYS_POWER_DOWN_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EXT_TEMP_CONTROL_STATUS_SYS_POWER_DOWN_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EXT_TEMP_CONTROL_STATUS_SYS_POWER_DOWN_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EXT_TEMP_CONTROL_EXT_TEMP_MONITOR_EN_BIT_IDX 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EXT_TEMP_CONTROL_EXT_TEMP_MONITOR_EN_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EXT_TEMP_CONTROL_EXT_TEMP_MONITOR_EN_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EXT_TEMP_CONTROL_EXT_TEMP_MONITOR_SPI_EN_BIT_IDX 2
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EXT_TEMP_CONTROL_EXT_TEMP_MONITOR_SPI_EN_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EXT_TEMP_CONTROL_EXT_TEMP_MONITOR_SPI_EN_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVK_EXT_TEMP_VALUE_ADDR 0x0000010C
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVK_EXT_TEMP_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVK_EXT_TEMP_VALUE_WIDTH 22
#define CCAM2_SYSTEM_MONITOR_TEMP_VCC_MONITOR_EVK_EXT_TEMP_VALUE_DEFAULT 0x00000000

//------------------------------------------------------------------------------------------------------------
// CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR
//------------------------------------------------------------------------------------------------------------

#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_BASE_ADDR 0x00000140
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_LAST_ADDR 0x0000014C
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_SIZE 0x00000020

#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_ADDR \
    0x00000140 // Controls the enable/disable of individual ATIS I/F Monitor's periodic events and alarms.
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_ALL_EVT_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_ALL_EVT_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_ALL_EVT_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_TD_IDLE_TIME_EVT_BIT_IDX 1
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_TD_IDLE_TIME_EVT_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_TD_IDLE_TIME_EVT_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_TD_IDLE_TIMEOUT_EVT_BIT_IDX 2
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_TD_IDLE_TIMEOUT_EVT_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_TD_IDLE_TIMEOUT_EVT_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_APS_IDLE_TIME_EVT_BIT_IDX 3
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_APS_IDLE_TIME_EVT_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_APS_IDLE_TIME_EVT_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_APS_IDLE_TIMEOUT_EVT_BIT_IDX 4
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_APS_IDLE_TIMEOUT_EVT_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_APS_IDLE_TIMEOUT_EVT_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_GLOBAL_ILLUMINATION_EVT_BIT_IDX 5
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_GLOBAL_ILLUMINATION_EVT_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_ENABLE_GLOBAL_ILLUMINATION_EVT_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_IDLE_TIME_THR_ADDR \
    0x00000144 // Sets the threshold time value in us after which {MASTER|SLAVE}_ATIS_{TD|APS}_IDLE_TIME events are
               // sent.  These events determine the amount of time between two consecutive events in the respective
               // channel if such time is above the threshold.
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_IDLE_TIME_THR_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_IDLE_TIME_THR_VALUE_WIDTH 26
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_IDLE_TIME_THR_VALUE_DEFAULT 0x00002710

#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_IDLE_TIMEOUT_THR_ADDR \
    0x00000148 // Sets the threshold time value in us after which {MASTER|SLAVE}_ATIS_{TD|APS}_IDLE_TIMEOUT events are
               // sent.  These events notify the host that the monitored channel has been inactive beyond this time
               // threshold.
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_IDLE_TIMEOUT_THR_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_IDLE_TIMEOUT_THR_VALUE_WIDTH 26
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_CFG_IDLE_TIMEOUT_THR_VALUE_DEFAULT 0x00002710

#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_STAT_GLOBAL_ILLUMINATION_ADDR 0x0000014C
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_STAT_GLOBAL_ILLUMINATION_DATA_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_STAT_GLOBAL_ILLUMINATION_DATA_WIDTH 26
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_STAT_GLOBAL_ILLUMINATION_DATA_DEFAULT 0x00000000
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_STAT_GLOBAL_ILLUMINATION_VALID_BIT_IDX 31
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_STAT_GLOBAL_ILLUMINATION_VALID_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_ATIS_IF_MONITOR_STAT_GLOBAL_ILLUMINATION_VALID_DEFAULT 0x00000000

//------------------------------------------------------------------------------------------------------------
// CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS
//------------------------------------------------------------------------------------------------------------

#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_BASE_ADDR 0x00000160
#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_LAST_ADDR 0x0000016C
#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_SIZE 0x00000020

#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_ENABLE_ADDR 0x00000160
#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_ENABLE_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_ENABLE_VALUE_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_ENABLE_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_OUT_ENABLE_ADDR 0x00000164
#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_OUT_ENABLE_VALUE_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_OUT_ENABLE_VALUE_WIDTH 1
#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_OUT_ENABLE_VALUE_DEFAULT 0x00000000

#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_OUT_PULSE_PERIOD_ADDR 0x00000168
#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_OUT_PULSE_PERIOD_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_OUT_PULSE_PERIOD_WIDTH 32
#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_OUT_PULSE_PERIOD_DEFAULT 0x00000064

#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_OUT_PULSE_WIDTH_ADDR 0x0000016C
#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_OUT_PULSE_WIDTH_BIT_IDX 0
#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_OUT_PULSE_WIDTH_WIDTH 32
#define CCAM2_SYSTEM_MONITOR_SYSTEM_MONITOR_EXT_TRIGGERS_OUT_PULSE_WIDTH_DEFAULT 0x00000001

#endif // METAVISION_HAL_CCAM2_SYSTEM_MONITOR_TRIGGER_EXT_ADC_H
