/**********************************************************************************************************************
 * Copyright (c) Prophesee S.A.                                                                                       *
 *                                                                                                                    *
 * Licensed under the Apache License, Version 2.0 (the "License");                                                    *
 * you may not use this file except in compliance with the License.                                                   *
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0                                 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed   *
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.                      *
 * See the License for the specific language governing permissions and limitations under the License.                 *
 **********************************************************************************************************************/

#ifndef METAVISION_HAL_SENSOR_CTRL_REGISTER_MAPPING_H
#define METAVISION_HAL_SENSOR_CTRL_REGISTER_MAPPING_H

//-----------------------------------------------------------------------------
// Register Bank name is    SISLEY_SENSOR_IF_CTRL
//-----------------------------------------------------------------------------

#define SISLEY_SENSOR_CTRL_BASE_ADDRESS 0x00000000                  // regbank_address
#define SISLEY_SENSOR_CTRL_START_ADDR 0x00000000                    // regbank_address
#define SISLEY_SENSOR_CTRL_LAST_ADDR 0x0000001C                     // regbank_address
#define SISLEY_SENSOR_GLOBAL_CTRL_ADDR 0x00000000                   // regbank_address
#define SISLEY_SENSOR_ROI_CTRL_ADDR 0x00000004                      // regbank_address
#define SISLEY_SENSOR_READOUT_CTRL_ADDR 0x00000008                  // regbank_address
#define SISLEY_SENSOR_TESTBUS_CTRL_ADDR 0x0000000C                  // regbank_address
#define SISLEY_SENSOR_CLKSYNC_CTRL_ADDR 0x00000010                  // regbank_address
#define SISLEY_SENSOR_LIFO_CTRL_ADDR 0x00000014                     // regbank_address
#define SISLEY_SENSOR_CHIP_ID_ADDR 0x00000018                       // regbank_address
#define SISLEY_SENSOR_SPARE_CTRL_ADDR 0x0000001C                    // regbank_address
#define SISLEY_SENSOR_GLOBAL_CTRL 0x00000000                        // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL 0x0000000C                           // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL 0x0037DFFF                       // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL 0x00000040                       // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL 0x00000007                       // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_LIFO_CTRL 0x00000000                          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CHIP_ID 0x90100401                            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL 0x00000000                         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_GLOBAL_CTRL_TD_COUPLE_BIT_IDX 0               // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_GLOBAL_CTRL_SW_GLOBAL_EN_BIT_IDX 1            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_GLOBAL_CTRL_BYPASS_DIGITAL_BIT_IDX 2          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_GLOBAL_CTRL_BGEN_RSTN_BIT_IDX 3               // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_GLOBAL_CTRL_BGEN_EN_BIT_IDX 4                 // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_GLOBAL_CTRL_TOP_CLK_DIV_EN_BIT_IDX 5          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_GLOBAL_CTRL_TOP_CLK_DIV_BIT_IDX 6             // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_GLOBAL_CTRL_TD_COUPLE_DEFAULT 0               // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_GLOBAL_CTRL_SW_GLOBAL_EN_DEFAULT 0            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_GLOBAL_CTRL_BYPASS_DIGITAL_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_GLOBAL_CTRL_BGEN_RSTN_DEFAULT 0               // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_GLOBAL_CTRL_BGEN_EN_DEFAULT 0                 // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_GLOBAL_CTRL_TOP_CLK_DIV_EN_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_GLOBAL_CTRL_TOP_CLK_DIV_DEFAULT 0             // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_EM_EN_BIT_IDX 0                  // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_TD_EN_BIT_IDX 1                  // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_EM_RSTN_BIT_IDX 2                // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_TD_RSTN_BIT_IDX 3                // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_EM_SHADOW_TRIG_BIT_IDX 4         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_TD_SHADOW_TRIG_BIT_IDX 5         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_RONI_EN_BIT_IDX 6                    // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_EM_SCAN_EN_BIT_IDX 7             // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_TD_SCAN_EN_BIT_IDX 8             // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_EM_EN_DEFAULT 0                  // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_TD_EN_DEFAULT 0                  // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_EM_RSTN_DEFAULT 1                // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_TD_RSTN_DEFAULT 1                // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_EM_SHADOW_TRIG_DEFAULT 0         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_TD_SHADOW_TRIG_DEFAULT 0         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_RONI_EN_DEFAULT 0                    // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_EM_SCAN_EN_DEFAULT 0             // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_ROI_CTRL_ROI_TD_SCAN_EN_DEFAULT 0             // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_DELAY_RSTN_BIT_IDX 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INTERFACE_X_RSTN_BIT_IDX 1    // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_LATCH_Y_RSTN_BIT_IDX 2        // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_ACK_ARRAY_RSTN_BIT_IDX 3      // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_CTRL_RSTN_BIT_IDX 4           // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_LATCH_DUM_CONNECT_BIT_IDX 5   // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_LATCH_DUM_RSTN_BIT_IDX 6      // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_PIXEL_DUM_RSTN_BIT_IDX 7      // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INTERFACE_Y_RSTN_BIT_IDX 8    // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_LATCH_X_RSTN_BIT_IDX 9        // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_STAT_X_BIT_IDX 10             // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_ACT_PUX_BIT_IDX 11            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_STAT_Y_BIT_IDX 14             // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_ACT_PUY_BIT_IDX 15            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_PIPELINE_BIT_IDX 16           // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_ACT_PDY_BIT_IDX 17            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_ACT_PDX_BIT_IDX 20            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INV_REQ_EM_BIT_IDX 23         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INV_POL_EM_BIT_IDX 24         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INV_ACK_EM_BIT_IDX 25         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INV_REQ_TD_BIT_IDX 26         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INV_POL_TD_BIT_IDX 27         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INV_ACK_TD_BIT_IDX 28         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_DELAY_RSTN_DEFAULT 1          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INTERFACE_X_RSTN_DEFAULT 1    // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_LATCH_Y_RSTN_DEFAULT 1        // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_ACK_ARRAY_RSTN_DEFAULT 1      // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_CTRL_RSTN_DEFAULT 1           // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_LATCH_DUM_CONNECT_DEFAULT 1   // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_LATCH_DUM_RSTN_DEFAULT 1      // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_PIXEL_DUM_RSTN_DEFAULT 1      // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INTERFACE_Y_RSTN_DEFAULT 1    // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_LATCH_X_RSTN_DEFAULT 1        // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_STAT_X_DEFAULT 1              // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_ACT_PUX_DEFAULT 3             // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_STAT_Y_DEFAULT 1              // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_ACT_PUY_DEFAULT 1             // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_PIPELINE_DEFAULT 1            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_ACT_PDY_DEFAULT 3             // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_ACT_PDX_DEFAULT 3             // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INV_REQ_EM_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INV_POL_EM_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INV_ACK_EM_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INV_REQ_TD_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INV_POL_TD_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_READOUT_CTRL_RO_INV_ACK_TD_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_SEL_TEST_PHOTODIODE_BIT_IDX 0 // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_DIODE_BIT_IDX 1               // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_DIODE_TL_BIT_IDX 2            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_DIODE_TR_BIT_IDX 3            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_DIODE_BR_BIT_IDX 4            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_DIODE_BL_BIT_IDX 5            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_PIXEL_DIODE_EN_BIT_IDX 6      // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_PIXEL_EN_BIT_IDX 7            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TBUS_SEL_TPA1_BIT_IDX 8          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TBUS_SEL_TPA2_BIT_IDX 12         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TBUS_SEL_TPA3_BIT_IDX 16         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TBUS_SEL_TPA4_BIT_IDX 20         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TBUS_SEL_TPD1_BIT_IDX 24         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TBUS_SEL_TPD2_BIT_IDX 28         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_SEL_TEST_PHOTODIODE_DEFAULT 0 // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_DIODE_DEFAULT 0               // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_DIODE_TL_DEFAULT 0            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_DIODE_TR_DEFAULT 0            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_DIODE_BR_DEFAULT 0            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_DIODE_BL_DEFAULT 0            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_PIXEL_DIODE_EN_DEFAULT 1      // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TP_PIXEL_EN_DEFAULT 0            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TBUS_SEL_TPA1_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TBUS_SEL_TPA2_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TBUS_SEL_TPA3_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TBUS_SEL_TPA4_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TBUS_SEL_TPD1_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_TESTBUS_CTRL_TBUS_SEL_TPD2_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_CLKOUT_EN_BIT_IDX 0              // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_CLK_DIFF_HI_CM_BIT_IDX 1         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_CLK_DIFF_IOUT_X2_BIT_IDX 2       // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_CLK_DC_UP_BIT_IDX 3              // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_CLK_POLARITY_BIT_IDX 4           // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_RO_STAT_REQ_X_BIT_IDX 5          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_RO_STAT_POL_BIT_IDX 6            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_RO_TD_REQ_LAT_BIT_IDX 7          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_RO_TD_ACK_LAT_BIT_IDX 10         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_RO_EM_REQ_LAT_BIT_IDX 13         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_RO_EM_ACK_LAT_BIT_IDX 16         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_CLKOUT_EN_DEFAULT 1              // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_CLK_DIFF_HI_CM_DEFAULT 1         // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_CLK_DIFF_IOUT_X2_DEFAULT 1       // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_CLK_DC_UP_DEFAULT 0              // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_CLK_POLARITY_DEFAULT 0           // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_RO_STAT_REQ_X_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_RO_STAT_POL_DEFAULT 0            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_RO_TD_REQ_LAT_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_RO_TD_ACK_LAT_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_RO_EM_REQ_LAT_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CLKSYNC_CTRL_RO_EM_ACK_LAT_DEFAULT 0          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_LIFO_CTRL_LIFO_COUNTER_BIT_IDX 0              // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_LIFO_CTRL_LIFO_CNT_VALID_BIT_IDX 29           // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_LIFO_CTRL_LIFO_CNT_EN_BIT_IDX 30              // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_LIFO_CTRL_LIFO_EN_BIT_IDX 31                  // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_LIFO_CTRL_LIFO_COUNTER_DEFAULT 0              // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_LIFO_CTRL_LIFO_CNT_VALID_DEFAULT 0            // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_LIFO_CTRL_LIFO_CNT_EN_DEFAULT 0               // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_LIFO_CTRL_LIFO_EN_DEFAULT 0                   // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CHIP_ID_BIT_IDX 0                             // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_CHIP_ID_DEFAULT 0                             // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_RO_ADDR_Y_STAT_BIT_IDX 0           // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_RO_ADDR_X_STAT_BIT_IDX 1           // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_CLK_OUT_LAT_BIT_IDX 2              // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_RFEED_D_BIT_IDX 22                 // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_RFEED_A_BIT_IDX 23                 // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_TP_REFR_CLK_EN_BIT_IDX 24          // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_TP_DARK_EN_BIT_IDX 25              // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_TP_QE_EN_BIT_IDX 26                // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_B_TM_BIT_IDX 29                    // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_RO_ADDR_Y_STAT_DEFAULT 0           // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_RO_ADDR_X_STAT_DEFAULT 0           // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_CLK_OUT_LAT_DEFAULT 0              // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_RFEED_D_DEFAULT 0                  // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_RFEED_A_DEFAULT 0                  // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_TP_REFR_CLK_EN_DEFAULT 0           // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_TP_DARK_EN_DEFAULT 0               // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_TP_QE_EN_DEFAULT 0                 // SISLEY_SENSOR_SPARE_CTRL_ADDR
#define SISLEY_SENSOR_SPARE_CTRL_B_TM_DEFAULT 0                     // SISLEY_SENSOR_SPARE_CTRL_ADDR

#endif // METAVISION_HAL_SENSOR_CTRL_REGISTER_MAPPING_H
